> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saalal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dispute



## OpenAPI

````yaml post /disputes/create
openapi: 3.1.0
info:
  title: ALAL APIs
  version: 1.0.0
servers:
  - url: https://api.sandbox.saalal.com/v1
security: []
tags:
  - name: Cards
  - name: Transactions
  - name: CardUsers
  - name: Disputes
paths:
  /disputes/create:
    post:
      tags:
        - Disputes
      summary: Create Dispute
      parameters:
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                transaction_reference:
                  type: string
                  example: 962b954d-bbd3-4b03-8a70-80fb595e9049
                reason:
                  type: string
                  enum:
                    - duplicate
                    - not_received
                    - fraudulent
                    - product_not_as_described
                    - service_not_as_described
                    - canceled
                    - other
                explanation:
                  type: string
                  example: No real explanation
              example:
                transaction_slug: 76884322-a3fb-4607-b39c-6a6d7d9c3bcc
                reason: duplicate
                explanation: No real explanation
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Content-Type:
              schema:
                type: string
                example: application/json
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Date:
              schema:
                type: string
                example: Mon, 07 Aug 2023 15:52:59 GMT
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '59'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-XSS-Protection:
              schema:
                type: string
                example: 1; mode=block
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            Content-Encoding:
              schema:
                type: string
                example: gzip
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: dispute successfully created!
                  statusCode:
                    type: integer
                    example: 200
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                        example: 962b954d-bbd3-4b03-8a70-80fb595e9049
                      transaction_reference:
                        type: string
                        example: 962b954d-bbd3-4b03-8a70
                      status:
                        type: string
                        example: submitted
                      reason:
                        type: string
                        enum:
                          - duplicate
                          - not_received
                          - fraudulent
                          - product_not_as_described
                          - service_not_as_described
                          - canceled
                          - other
                      explanation:
                        type: string
                        example: No real explanation even now
              example:
                message: dispute successfully created!
                statusCode: 200
                data:
                  - transaction_slug: 962b954d-bbd3-4b03-8a70-80fb595e9049
                    slug: 962b954d-bbd3-4b03-8a70
                    status: submitted
                    reason: duplicate
                    explanation: No real explanation
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````